Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class Anomaly

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v3.Anomaly

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T09:02:49+02:00",
               comments="JAXB RI v2.2.11")
    public class Anomaly

extends Object
implements Serializable

Java class for AnomalyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AnomalyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="TargetObject" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="TargetReference" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Anomaly()`

Method Summary
`String` | `getCode()` Gets the value of the code property.
`String` | `getDescription()` Gets the value of the description property.
`String` | `getTargetObject()` Gets the value of the targetObject property.
`String` | `getTargetReference()` Gets the value of the targetReference property.
`void` | `setCode(String value)` Sets the value of the code property.
`void` | `setDescription(String value)` Sets the value of the description property.
`void` | `setTargetObject(String value)` Sets the value of the targetObject property.
`void` | `setTargetReference(String value)` Sets the value of the targetReference property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Anomaly

    public Anomaly()

Method Detail

### getCode

    public String getCode()

  Gets the value of the code property.

  Returns:
    possible object is `String`

### setCode

    public void setCode(String value)

  Sets the value of the code property.

  Parameters:
    `value` - allowed object is `String`

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getTargetObject

    public String getTargetObject()

  Gets the value of the targetObject property.

  Returns:
    possible object is `String`

### setTargetObject

    public void setTargetObject(String value)

  Sets the value of the targetObject property.

  Parameters:
    `value` - allowed object is `String`

### getTargetReference

    public String getTargetReference()

  Gets the value of the targetReference property.

  Returns:
    possible object is `String`

### setTargetReference

    public void setTargetReference(String value)

  Sets the value of the targetReference property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.